aboutsummaryrefslogtreecommitdiffstats
path: root/kud/tests/_common_test.sh
diff options
context:
space:
mode:
authormarvinYu <weifei.yu@intel.com>2020-03-19 22:16:30 +0800
committerKuralamudhan Ramakrishnan <kuralamudhan.ramakrishnan@intel.com>2020-05-26 00:34:11 +0000
commit2f86e8e5364339b539313931d7faaf9f9c3896a4 (patch)
tree94c0df766f48ead3d31dfb48bd730cb2fd45de0b /kud/tests/_common_test.sh
parentcb00c733fc29c715f1f30cbf50534a0811575d7f (diff)
Updating multus, SRIOV and nfd test cases
Updating some AddOn test cases and add README.md file. Issue-ID: MULTICLOUD-1037 Signed-off-by: marvinYu <weifei.yu@intel.com> Change-Id: Iee2c31207cf2cd37fb8119bceef286aa887079f9
Diffstat (limited to 'kud/tests/_common_test.sh')
-rwxr-xr-xkud/tests/_common_test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/kud/tests/_common_test.sh b/kud/tests/_common_test.sh
index 1c6af678..32781e18 100755
--- a/kud/tests/_common_test.sh
+++ b/kud/tests/_common_test.sh
@@ -22,6 +22,16 @@ function install_deps {
fi
}
+# install_ipcalc() - Install ipcalc for tests
+function install_ipcalc {
+ if ! $(ipcalc --version &>/dev/null); then
+ function ipcalc_ubuntu_deps {
+ sudo apt-get install -y ipcalc
+ }
+ install_packages "" ipcalc_ubuntu_deps ""
+ fi
+}
+
# install_ovn_deps() - Install dependencies required for tests that require OVN
function install_ovn_deps {
if ! $(yq --version &>/dev/null); then